# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: arrow-cpp
  version: 5.0.0
source:
  sha256: c3b4313eca594c20f761a836719721aaf0760001af896baec3ab64420ff9910a
  url: https://dist.apache.org/repos/dist/release/arrow/arrow-5.0.0/apache-arrow-5.0.0.tar.gz
build:
  ignore_run_exports:
    - cudatoolkit
  number: 1
  run_exports:
    - arrow-cpp >=5.0.0,<5.0.1.0a0
  string: py38h801bfa5_1_cpu
  track_features: null
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - abseil-cpp 20210324.2 h9c3ff4c_0
    - autoconf 2.69 pl5320h36c2ea0_10
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_33
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.17.1 h7f98852_1
    - ca-certificates 2021.5.30 ha878542_0
    - cmake 3.21.1 h8897547_0
    - expat 2.4.1 h9c3ff4c_0
    - gcc_impl_linux-64 9.3.0 h70c0ae5_19
    - gcc_linux-64 9.3.0 hf25ea35_33
    - grpc-cpp 1.39.0 h36ce80c_1
    - gxx_impl_linux-64 9.3.0 hd87eabc_19
    - gxx_linux-64 9.3.0 h3fbe746_33
    - kernel-headers_linux-64 2.6.32 he073ed8_14
    - krb5 1.19.2 hcc1bbae_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libcurl 7.78.0 h2574ce0_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-devel_linux-64 9.3.0 h7864c58_19
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libnghttp2 1.43.0 h812cca2_0
    - libprotobuf 3.16.0 h780b84a_0
    - libssh2 1.9.0 ha56f1ee_6
    - libstdcxx-devel_linux-64 9.3.0 hb016644_19
    - libstdcxx-ng 11.1.0 h56837e0_6
    - libuv 1.42.0 h7f98852_0
    - lz4-c 1.9.3 h9c3ff4c_1
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - ncurses 6.2 h58526e2_4
    - ninja 1.10.2 h4bd325d_0
    - openssl 1.1.1k h7f98852_0
    - perl 5.32.1 0_h7f98852_perl5
    - re2 2021.06.01 h9c3ff4c_0
    - rhash 1.4.1 h7f98852_0
    - sysroot_linux-64 2.12 he073ed8_14
    - tk 8.6.10 h21135ba_1
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
    - zstd 1.5.0 ha95c52a_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - abseil-cpp 20210324.2 h9c3ff4c_0
    - aws-c-cal 0.5.11 h95a6274_0
    - aws-c-common 0.6.2 h7f98852_0
    - aws-c-event-stream 0.2.7 h3541f99_13
    - aws-c-io 0.10.5 hfb6a706_0
    - aws-checksums 0.1.11 ha31a3da_7
    - aws-sdk-cpp 1.8.186 hb4091e7_3
    - boost-cpp 1.76.0 h312852a_1
    - brotli 1.0.9 h7f98852_5
    - brotli-bin 1.0.9 h7f98852_5
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.17.1 h7f98852_1
    - ca-certificates 2021.5.30 ha878542_0
    - clang 10.0.1 default_hde54327_1
    - clang-tools 10.0.1 default_hde54327_1
    - clangdev 10.0.1 default_hde54327_1
    - clangxx 10.0.1 default_hde54327_1
    - gflags 2.2.2 he1b5a44_1004
    - glog 0.5.0 h48cff8f_0
    - grpc-cpp 1.39.0 h36ce80c_1
    - icu 68.1 h58526e2_0
    - krb5 1.19.2 hcc1bbae_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libblas 3.9.0 10_openblas
    - libbrotlicommon 1.0.9 h7f98852_5
    - libbrotlidec 1.0.9 h7f98852_5
    - libbrotlienc 1.0.9 h7f98852_5
    - libcblas 3.9.0 10_openblas
    - libclang 10.0.1 default_hde54327_1
    - libclang-cpp 10.0.1 default_hde54327_1
    - libclang-cpp10 10.0.1 default_hde54327_1
    - libcurl 7.78.0 h2574ce0_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libevent 2.1.10 hcdb4288_3
    - libffi 3.3 h58526e2_2
    - libgcc-ng 11.1.0 hc902ee8_6
    - libgfortran-ng 11.1.0 h69a702a_6
    - libgfortran5 11.1.0 h6c583b3_6
    - libgomp 11.1.0 hc902ee8_6
    - liblapack 3.9.0 10_openblas
    - libllvm10 10.0.1 he513fc3_3
    - libnghttp2 1.43.0 h812cca2_0
    - libopenblas 0.3.17 pthreads_h8fe5266_1
    - libprotobuf 3.16.0 h780b84a_0
    - libssh2 1.9.0 ha56f1ee_6
    - libstdcxx-ng 11.1.0 h56837e0_6
    - libthrift 0.14.2 he6d91bd_1
    - libutf8proc 2.6.1 h7f98852_0
    - llvm-tools 10.0.1 he513fc3_3
    - llvmdev 10.0.1 he513fc3_3
    - lz4-c 1.9.3 h9c3ff4c_1
    - ncurses 6.2 h58526e2_4
    - numpy 1.18.5 py38h8854b6b_0
    - openssl 1.1.1k h7f98852_0
    - orc 1.6.9 h58a87f1_0
    - python 3.8.10 h49503c6_1_cpython
    - python_abi 3.8 2_cp38
    - rapidjson 1.1.0 he1b5a44_1002
    - re2 2021.06.01 h9c3ff4c_0
    - readline 8.1 h46c0cb4_0
    - s2n 1.0.10 h9b69904_0
    - snappy 1.1.8 he1b5a44_3
    - sqlite 3.36.0 h9cd32fc_0
    - thrift-compiler 0.14.2 he6d91bd_1
    - thrift-cpp 0.14.2 ha770c72_1
    - tk 8.6.10 h21135ba_1
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
    - zstd 1.5.0 ha95c52a_0
  run:
    - aws-sdk-cpp >=1.8.186,<1.8.187.0a0
    - bzip2 >=1.0.8,<2.0a0
    - c-ares >=1.17.1,<2.0a0
    - gflags >=2.2.2,<2.3.0a0
    - glog >=0.5.0,<0.6.0a0
    - grpc-cpp >=1.39.0,<1.40.0a0
    - libbrotlicommon >=1.0.9,<1.1.0a0
    - libbrotlidec >=1.0.9,<1.1.0a0
    - libbrotlienc >=1.0.9,<1.1.0a0
    - libgcc-ng >=9.3.0
    - libprotobuf >=3.16.0,<3.17.0a0
    - libstdcxx-ng >=9.3.0
    - libthrift >=0.14.2,<0.14.3.0a0
    - libutf8proc >=2.6.1,<3.0a0
    - lz4-c >=1.9.3,<1.9.4.0a0
    - numpy >=1.16,<2.0a0
    - orc >=1.6.9,<1.6.10.0a0
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - re2 >=2021.6.1,<2021.6.2.0a0
    - snappy >=1.1.8,<2.0a0
    - zlib >=1.2.11,<1.3.0a0
    - zstd >=1.5.0,<1.6.0a0
  run_constrained:
    - arrow-cpp-proc * cpu
test:
  commands:
    - test -f $PREFIX/include/arrow/api.h
    - test -f $PREFIX/include/arrow/flight/types.h
    - test -f $PREFIX/include/plasma/client.h
    - test -f $PREFIX/include/gandiva/engine.h
    - test -f $PREFIX/include/parquet/api/reader.h
    - test -f $PREFIX/lib/libarrow.so
    - test -f $PREFIX/lib/libarrow_dataset.so
    - test -f $PREFIX/lib/libarrow_flight.so
    - test -f $PREFIX/lib/libarrow_python.so
    - test -f $PREFIX/lib/libparquet.so
    - test -f $PREFIX/lib/libgandiva.so
    - test -f $PREFIX/lib/libplasma.so
    - test ! -f $PREFIX/lib/libarrow_cuda${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libarrow.a
    - test ! -f $PREFIX/lib/libarrow_dataset.a
    - test ! -f $PREFIX/lib/libarrow_flight.a
    - test ! -f $PREFIX/lib/libarrow_python.a
    - test ! -f $PREFIX/lib/libplasma.a
    - test ! -f $PREFIX/lib/libparquet.a
    - test ! -f $PREFIX/lib/libgandiva.a
about:
  home: http://github.com/apache/arrow
  license: Apache-2.0
  license_file:
    - LICENSE.txt
  summary: C++ libraries for Apache Arrow
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - cpcloud
    - jakirkham
    - jreback
    - kou
    - kszucs
    - leifwalsh
    - nealrichardson
    - pcmoritz
    - pearu
    - pitrou
    - robertnishihara
    - siddharthteotia
    - wesm
    - xhochy
